Admin Resources
Accounts
This resource allows a caller to inspect basic information regarding the staff accounts in the store.
17 additions in V2, marked New
Everything marked New also works when you send X-Recharge-Version: 2021-11.

#The account object
An
Account record represents a staff account details for the Store. One Store can have many staff's account.Attributes
- idintegerUnique numeric identifier for the
Account. - user_idintegerThe unique numeric identifier of the user associated to the
Account.There can only be oneAccountper user perStore. - created_atdatetimeThe date and time when the
Accountwas created. - invited_atdatetimeThe date and time the user was last invited to open their
Accountnullfor the store creator.
If an invite to open anAccountis re-issued for a user,invited_atwill hold the timestamp of the most recent invite sent. - is_ownerbooleanFlags whether this user is the store owner.A
Storecan have multiple owners. - The date and time the user last logged in to the
Account. - The role association recorded for the user of the
Account. - The department recorded for the user of the
Account. - The job title recorded for the user of the
Account. - An object with partner details recorded for the user of the
Account. - List of permission keys granted to the
Account.Only returned for stores that have account permissions enabled in Accounts API responses. - Related objects requested with the
includequery parameter.Only returned when theincludequery parameter is passed.Show child attributesHide child attributes11 new
- The
StoretheAccountbelongs to.Only returned wheninclude=storeis passed.
{
"account": {
"id": 3315125,
"user_id": 2057785,
"created_at": "2021-07-20T09:10:19+00:00",
"invited_at": "2021-07-18T09:10:19+00:00",
"is_owner": false,
"last_login_at": null,
"role_association": null,
"role_department": null,
"role_title": null,
"role_partner_details": null
}
}#Retrieve an account
GET/accounts/{id}
Retrieves an account for the store.
Scope
read_accountsQuery parameters
- Include related objects in the response. Use
storeto embed theStoretheAccountbelongs to underinclude.store.Possible valuesstore
curl 'https://api.rechargeapps.com/accounts/331512' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"account": {
"id": 3315125,
"user_id": 2057785,
"created_at": "2021-07-20T09:10:19+00:00",
"invited_at": "2021-07-18T09:10:19+00:00",
"is_owner": false,
"last_login_at": null,
"role_association": null,
"role_department": null,
"role_title": null,
"role_partner_details": null
}
}#List accounts
GET/accounts
Returns all accounts associated to the store.
Scope
read_accountsThe response includes
next_cursor and previous_cursor.Query parameters
- Filter accounts by the unique numeric identifier of the associated user.
- Filter accounts by whether the user is the store owner.
- Return accounts whose user email contains the given text.
- When passed together with
email_search, store owner accounts are returned in addition to the accounts matching the search. - Include related objects in the response. Use
storeto embed theStoretheAccountbelongs to underinclude.store.Possible valuesstore - Number of results to return. Defaults to 50; the maximum is 250.
- Page to show. Cannot be greater than 300. Page-based pagination can be disabled for a token, in which case cursors must be used.
- Return either the next or previous page of accounts using the
next_cursororprevious_cursorvalue from a previous response. Whencursoris passed, onlylimitmay be passed with it.
curl 'https://api.rechargeapps.com/accounts?limit=3' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"accounts": [
{
"id": 3315125,
"user_id": 2057785,
"created_at": "2021-07-20T09:10:19+00:00",
"invited_at": "2021-07-18T09:10:19+00:00",
"is_owner": false,
"last_login_at": null,
"role_association": null,
"role_department": null,
"role_title": null,
"role_partner_details": null
},
{
"id": 3316125,
"user_id": 2056785,
"created_at": "2021-05-20T09:10:19+00:00",
"invited_at": null,
"is_owner": true,
"last_login_at": null,
"role_association": null,
"role_department": null,
"role_title": null,
"role_partner_details": null
}
]
}